Apple Notifying Customers Using Older Pro Apps About Incompatibilities With macOS High Sierra

Apple today started sending out emails to customers who are using older versions of its pro apps to inform them about impending incompatibilities with macOS High Sierra.

MacRumors readers Lee and Dane both received emails letting them know that macOS High Sierra will not work with Final Cut Studio and Logic Studio, both of which are 32-bit apps that last saw updates in 2010.

Our records show that you may be using applications included in Logic Studio. We wanted to share some important compatibility informa…
MacRumors: Mac News and Rumors – All Stories

Leave a Reply

Your email address will not be published. Required fields are marked *

%d bloggers like this: